curl --request POST \
--url https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}/revisions/inactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authorUid": "<string>"
}
'import requests
url = "https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}/revisions/inactivate"
payload = { "authorUid": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({authorUid: '<string>'})
};
fetch('https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}/revisions/inactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"system": "<string>",
"drafts": [
{}
],
"inactiveRevisions": [
{
"_id": "<string>",
"scenarioId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"parentVersion": 123,
"revisionComment": "<string>",
"triggerEvents": [
"<string>"
],
"conditions": [
[
{
"name": "<string>",
"params": "<unknown>",
"confidentialData": true
}
]
],
"loaders": {
"beforeConditions": [
{
"name": "<string>",
"alias": "<string>",
"params": "<unknown>",
"confidentialData": true
}
],
"afterConditions": [
{
"name": "<string>",
"alias": "<string>",
"params": "<unknown>",
"confidentialData": true
}
]
},
"actions": [
{
"name": "<string>",
"params": "<unknown>",
"confidentialData": true
}
],
"loops": [
{
"loop": {}
}
],
"tags": [
"<string>"
],
"attachedData": {},
"system": "<string>",
"options": {
"unorderedActions": true
},
"metadata": {
"authorUid": "<string>",
"created": 123,
"modified": 123,
"activated": 123,
"activations": [
{
"timestamp": 123,
"userUid": "<string>"
}
]
}
}
],
"activeRevision": {
"_id": "<string>",
"scenarioId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"parentVersion": 123,
"revisionComment": "<string>",
"triggerEvents": [
"<string>"
],
"conditions": [
[
{
"name": "<string>",
"params": "<unknown>",
"confidentialData": true
}
]
],
"loaders": {
"beforeConditions": [
{
"name": "<string>",
"alias": "<string>",
"params": "<unknown>",
"confidentialData": true
}
],
"afterConditions": [
{
"name": "<string>",
"alias": "<string>",
"params": "<unknown>",
"confidentialData": true
}
]
},
"actions": [
{
"name": "<string>",
"params": "<unknown>",
"confidentialData": true
}
],
"loops": [
{
"loop": {}
}
],
"tags": [
"<string>"
],
"attachedData": {},
"system": "<string>",
"options": {
"unorderedActions": true
},
"metadata": {
"authorUid": "<string>",
"created": 123,
"modified": 123,
"activated": 123,
"activations": [
{
"timestamp": 123,
"userUid": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Inactivate Subscription
Pause a subscription. The scenario remains in your account but stops triggering webhooks until reactivated.
Activate/inactivate scenarios, Manage scenarios on behalf of user (both are required)
Optionally, you can include an authorUid body field (a Texter user UID) to attribute the action to a specific user; when omitted, it is attributed automatically.Authorizations
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
Path Parameters
The unique identifier of the subscription (scenario). Use List All Subscriptions to find it under scenarios[]._id
Body
Optional - Texter user ID (UID) to attribute the action to. When omitted, it is attributed automatically
Response
The updated scenario object (the active revision moved to inactiveRevisions). Field-by-field reference: The Scenario object
An event subscription (scenario) in Texter
Unique identifier of the subscription/scenario
System scenario identifier. Present only on built-in system scenarios (returned when includeSystem=true)
Draft revisions of this scenario being edited. Same shape as a revision, but with status: "draft", no version/revisionComment, and metadata limited to authorUid/created/modified
Inactive revisions
Show child attributes
Show child attributes
The currently active version of the scenario
Show child attributes
Show child attributes